News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

¿Interferencia en el JS?

Started by Jotade29, May 15, 2022, 11:16:58 PM

Previous topic - Next topic

Jotade29

Buenas, he instalado un mod, pero me ha dejado inutilizable otro, concretamente da error en la parte de JavaScript, al saltarme el error de: TypeError:... (on.) no es una función ($("body").on("click", ".sp-head", function(event){(...))

No sé qué código he de adjuntar, pues el código del mod que me ha dejado inútil está correcto si desinstalo el otro mod, si me comentáis lo que adjuntar lo haré. Cuando hay alguna interferencia entre JS, ¿qué se debe hacer?

Gracias

Dhayzon

cuando son cosas de JS es necesario que nostros podamos ver tu foro y hacer un debugg desde la consola del navegador, mientras no veamos el problema que lo causa pueden ser muchas cosas, a ciegas es mas dificil dar en el clavo

Jotade29

Gracias por responder, Dhayzon, ¿puedo pasarte la URL por privado?

Dhayzon

claro no tengo problema con eso

-Rock Lee-

Bueno primero que nada seria bueno ¿que mod dejo de funcionar? ¿Que version estas usando? y ñuego investigar que mods estan en conflicto para saber como arreglarlo... sin tanta informacion tu pregunta es muy amplia.


Saludos!
¡Regresando como cual Fenix! ~ Bomber Code
Ayudas - Aportes - Tutoriales - Y mucho mas!!!

Dhayzon

tu problema lo esta ocasionando el glossary.jquery.js   no se que mod sea,  pero  quick_spoiler.js no funciona por eso,

glossary.jquery.js tiene dentro jQuery JavaScript Library v1.3.2 no se por qué,

además pone
//GLossary : Use JQuery in NoConflict mode => change $ by JQ


GLossary  esta muy mal estructurado y no esta nada mantenible ni tampoco escalable lo que te recomiendo es que veas como funciona GLossary  y lo arregles manualmente ya que quick_spoiler cumple con la estructura de jquery



Jotade29

Gracias por la ayuda, @Dhayzon , pero lamentablemente no tengo ni idea de cómo resolverlo, ¿crees que si te comparto los archivos que me digas podrás echarme una mano si no es ajetreado? Si quieres, puedes, muchas gracias. :)

Dhayzon

que mods tiene agregado? ya lo  ubieras listado, al menos tendría una idea más completa,
que es eso de glossary? es algún mod?

Jotade29

Esos dos son los que hacen interferencia, de hecho, en la instalación limpia que metí, te puse esos dos para recrear el fallo. Te comento detalles al privado. Muchas gracias :)

Dhayzon

a entonces a qué los pertenece el glossary? está en el modsite?

-Rock Lee-

Quote from: Dhayzon on May 18, 2022, 09:13:10 PMa entonces a qué los pertenece el glossary? está en el modsite?

Si precisamente este Glossary el cual le ayude un poco pero el tema del jquery se tiene rehacer todo y no se si vale la pena, seria mejor rehacer otro mas actual con ganchos... @Kindred estaba trabajando en uno actualizado con ganchos pero no tenia tiempo de terminarlo. Ademas tiene conflicto con TinyPortal y ahora veo tambien el quick_spoiler, lo que re afirma mi idea seria mejor trabajar en uno nuevo (capas plantearlo para 2.1.x ya).


Saludos!
¡Regresando como cual Fenix! ~ Bomber Code
Ayudas - Aportes - Tutoriales - Y mucho mas!!!

Dhayzon

glossary.jquery.js en realidad es jquery.js  :'(   en su version 2009 ¿realmente es necesario utilizarlo en el  2022?
smf  no era "fan de jquery" sin embargo la gente lo pedía hasta que accedieron agregarlo  en la 2.1 sin embargo ya nadie quiere usar jquery(demasiado tarde), Ahora todos los que escriben librerías resaltan "NO requiere jquery" 

ahora respecto a ese problema es algo básico, analizando todo. el problema debería solucionarse  agregando la ultima versión de jquery antes de cualquier js



echo'<script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"></script>';


quick_spoiler lo que hace es implemente revisar si hay una instancia jquery cargada o no para cargar la librería, sin embargo como  ya existe  no lo carga, pero lo que quick_spoiler  no sabe es que  $  fue asignado a  JQ  entonces lanza el error  por que $  es indifinido


si cargas el archivo query como mencione arriba debería funcionar el quick_spoiler,  y en teoría todo

Jotade29

Dhayzon, una vez más, problema solventado gracias a tu vasta sapiencia sobre esto. Muchísimas gracias por todo  ;)

Advertisement: